Bug 823081 - Add-brick success message is logged even though add brick is unsuccessful.
Add-brick success message is logged even though add brick is unsuccessful.
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: logging (Show other bugs)
3.3-beta
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Krutika Dhananjay
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-18 18:36 EDT by Gowrishankar Rajaiyan
Modified: 2013-07-27 06:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:26:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gowrishankar Rajaiyan 2012-05-18 18:36:07 EDT
Description of problem:


Version-Release number of selected component (if applicable):
glusterfs-3.3.0beta4-1.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Volume Name: test2
Type: Distribute
Volume ID: 0213ed95-79e3-417c-8b66-65b7ede0832b
Status: Started
Number of Bricks: 2
Transport-type: tcp
Bricks:
Brick1: dhcp201-181.englab.pnq.redhat.com:/tmp/test2
Brick2: dhcp201-154.englab.pnq.redhat.com:/tmp/test2

2. [root@dhcp201-181 ~]# gluster volume add-brick test2 dhcp201-181.englab.pnq.redhat.com:/tmp/test2
Add Brick unsuccessful
[root@dhcp201-181 ~]#  

3. Observe .cmd_log_history
  
Actual results:
==> .cmd_log_history <==
[2012-05-19 06:32:58.105124] Volume add-brick : on volname: test2 attempted
[2012-05-19 06:32:58.105174] Volume add-brick : volname: test2 type 0 count:1 bricks:(null)
[2012-05-19 06:32:58.105265] Volume add-brick : on volname: test2 SUCCESS


Expected results: Should be "FAILED"


Additional info:
Comment 1 Vijay Bellur 2012-12-07 20:11:08 EST
CHANGE: http://review.gluster.org/4275 (cli: add print-logdir option) merged in master by Anand Avati (avati@redhat.com)
Comment 2 Vijay Bellur 2012-12-07 20:11:25 EST
CHANGE: http://review.gluster.org/4255 (cli: cmd history echoes the last command string word twice with --mode=script) merged in master by Anand Avati (avati@redhat.com)
Comment 3 Anand Avati 2013-04-22 15:32:06 EDT
REVIEW: http://review.gluster.org/4871 (cli, glusterd: Cleanup logging of bd op commands.) posted (#1) for review on master by Vijay Bellur (vbellur@redhat.com)
Comment 4 Krutika Dhananjay 2013-04-23 05:31:48 EDT
The patch http://review.gluster.org/#/c/3948/ fixes this issue.
Comment 5 Anand Avati 2013-07-27 06:48:43 EDT
COMMIT: http://review.gluster.org/4871 committed in master by Anand Avati (avati@redhat.com) 
------
commit d16cdf141d449246b0b58870bd3d82efe232e5db
Author: Vijay Bellur <vbellur@redhat.com>
Date:   Tue Apr 23 00:58:22 2013 +0530

    cli, glusterd: Cleanup logging of bd op commands.
    
    This patch prevents messages of the form "bd op: %s : SUCCESS"
    from being logged in .cmd_log_history.
    
    Change-Id: Iebeb7e26d409bf99b9c8df0a5c1c5a5d30d78a61
    BUG: 823081
    Signed-off-by: Vijay Bellur <vbellur@redhat.com>
    Reviewed-on: http://review.gluster.org/4871
    Reviewed-by: Krutika Dhananjay <kdhananj@redhat.com>
    Reviewed-by: M. Mohan Kumar <mohan@in.ibm.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.